Package Details: python-jenkinsapi-git 0.3.5-1

Git Clone URL: https://aur.archlinux.org/python-jenkinsapi-git.git (read-only, click to copy)
Package Base: python-jenkinsapi-git
Description: A Python API for accessing resources on a Jenkins continuous-integration server.
Upstream URL: https://github.com/pycontribs/jenkinsapi
Licenses: MIT
Conflicts: python-jenkinsapi
Submitter: Tahvok
Maintainer: Tahvok
Last Packager: Tahvok
Votes: 0
Popularity: 0.000000
First Submitted: 2017-08-08 15:09 (UTC)
Last Updated: 2017-08-08 15:09 (UTC)

Required by (0)

Sources (1)

Latest Comments

MarsSeed commented on 2023-08-29 23:22 (UTC)

Hi,

I would like to ask you to kindly consider removing the python2 subpackage.

As of now, if someone only needs the python3 package, they are still burdened by the unnecessary hassle and time of having to build python2, python2-setuptools, python2-requests, and dozens of their dependencies - only to discard and not use any of them in the end.

Thank you in advance if you make this suggested change.

Dalibor commented on 2017-12-14 18:41 (UTC)

Hi, it seems that I have some issue with installing it:

... Packages (2) python-jenkinsapi-git-0.3.5.r1208.c325598-1 python2-jenkinsapi-git-0.3.5.r1208.c325598-1

Total Installed Size: 2.35 MiB

:: Proceed with installation? [Y/n] (2/2) checking keys in keyring [####################################################################] 100% (2/2) checking package integrity [####################################################################] 100% (2/2) loading package files [####################################################################] 100% (2/2) checking for file conflicts [####################################################################] 100% error: failed to commit transaction (conflicting files) /usr/bin/jenkins_invoke exists in both 'python-jenkinsapi-git' and 'python2-jenkinsapi-git' /usr/bin/jenkinsapi_version exists in both 'python-jenkinsapi-git' and 'python2-jenkinsapi-git' Errors occurred, no packages were upgraded. ==> WARNING: Failed to install built package(s).